﻿namespace DailyDigestWorker.Models
{
    public class WeatherData
    {
        public decimal TemperatureC { get; set; }
        public decimal FeelsLikeC { get; set; }
        public string Description { get; set; } = string.Empty; // Описание погоды
        public string Icon { get; set; } = string.Empty; // Код иконки

        // Вспомогательное свойство для получения Emoji по коду иконки (опционально)
        public string Emoji => GetEmojiForIcon(Icon);

        // Простая функция для маппинга кодов OWM на Emoji
        private static string GetEmojiForIcon(string icon) => icon switch
        {
            "01d" => "☀️", // clear sky day
            "01n" => "🌙", // clear sky night
            "02d" => "⛅", // few clouds day
            "02n" => "☁️", // few clouds night (используем ту же иконку)
            "03d" or "03n" => "☁️", // scattered clouds
            "04d" or "04n" => "☁️", // broken clouds (можно "🌥️" или "☁️")
            "09d" or "09n" => "🌧️", // shower rain
            "10d" => "🌦️", // rain day
            "10n" => "🌧️", // rain night
            "11d" or "11n" => "⛈️", // thunderstorm
            "13d" or "13n" => "❄️", // snow
            "50d" or "50n" => "🌫️", // mist
            _ => "" // Неизвестная иконка
        };
    }
}